# A new year & a sneaky new project

Published: 2020-02-09

I can't believe it's here so quickly, but: today marks a year since my last day at Google. That seemed like a good occasion to dust off this newsletter & let you know what I've been up to: making a videogame!

I'm working on a stealth-based 2D platformer where you don't have to kill anyone unless you want to. It'll be possible to get through every level by sneaking and misdirection, but it'll require you to be careful and tactical to do so... and of course if that doesn't work out, you can always draw your swords and go in fighting! So far I've given it "Sneak" as a codename, but that's definitely a placeholder until I can flesh out more of the world.

So far Sneak runs on PC & Xbox, but I hope to add Switch and PS4 support within the next couple months. I'm using a C# framework called MonoGame, which provides low-level graphics & audio support across all these platforms. In order to write games for Switch or PS4, you need to apply to Nintendo & Sony to get access to their platform-specific SDKs. So my first real milestone will be coming up with a compelling Game Design Doc & gameplay videos so that they can (hopefully) be convinced that I'm worth taking seriously. Wish me luck!

Sony won't even talk to anyone unless they're a Real Business (& Nintendo kinda wants you to be too), so as of... yesterday, I'm officially the founder of SemiColin Games LLC (and, for now at least, the only member...)

If you want to follow along, I have an extremely-placeholder website up at [semicolin.games](https://semicolin.games) where you can sign up for Yet Another Newsletter if you like, and a Twitter account [@SemiColinGames](https://twitter.com/SemiColinGames) that would appreciate a follow. I'll probably set up a devblog with an RSS feed too eventually, but that's not quite ready yet. When it is, I'll send a quick update here.

I only got started in December & a lot of my work so far has been on building infrastructure (and learning how to start a business), so I don't have any Extremely Compelling Gameplay Videos yet. Here's a short animated GIF for now. The [bloopers on Twitter](https://twitter.com/mcmillen/status/1205164954728509440) might be more fun though. :)

![Animation](https://gallery.tinyletterapp.com/76b879b0e95d11cda4d7d21283ce7d32a4f76e09/images/deb53c32-0d33-4362-bfd4-97c22b5745f5.gif)
(Art definitely not final!)

Thanks for following along with me on this adventure! Hopefully my next update will come more quickly, and be less wordy! I've wanted to make videogames since I was Literally A Kid, so I'm quite excited to finally be doing that full-time, and to hopefully share something good with all of you. When I'm at a stage where I want alpha testers, I'll definitely be asking here first.

Thanks for your support!
~ Colin (& [SemiColin Games](https://semicolin.games))
